# dimensiondata_network – Create, update, and delete MCP 1.0 & 2.0 networks

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create, update, and delete MCP 1.0 & 2.0 networks

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | Additional description of the network domain.
location string / required |  | The target datacenter.
mcp_password string |  | The password used to authenticate to the CloudControl API. If not specified, will fall back to `MCP_PASSWORD` from environment variable or `~/.dimensiondata`. Required if mcp_user is specified.
mcp_user string |  | The username used to authenticate to the CloudControl API. If not specified, will fall back to `MCP_USER` from environment variable or `~/.dimensiondata`.
name - / required |  | The name of the network domain to create.

region
string

Choices:
- Regions are defined in Apache libcloud project [libcloud/common/dimensiondata.py]
- They are also listed in U(https://libcloud.readthedocs.io/en/latest/compute/drivers/dimensiondata.html)
- Note that the default value "na" stands for "North America".
- The module prepends 'dd-' to the region choice.

Default:
"na"

The target region.

service_plan
-

Choices:
- ESSENTIALS ←
- ADVANCED

The service plan, either "ESSENTIALS" or "ADVANCED".
MCP 2.0 Only.

state
-

Choices:
- present ←
- absent

Should the resource be present or absent.

validate_certs
boolean

Choices:
- no
- yes ←

If `false`, SSL certificates will not be validated.
This should only be used on private instances of the CloudControl API that use self-signed certificates.

wait
boolean

Choices:
- no ←
- yes

Should we wait for the task to complete before moving onto the next.

wait_poll_interval integer | Default: 2 | The amount of time (in seconds) to wait between checks for task completion. Only applicable if wait=true.
wait_time integer | Default: 600 | The maximum amount of time (in seconds) to wait for the task to complete. Only applicable if wait=true.

## Examples

    # Create an MCP 1.0 network
    - dimensiondata_network:
        region: na
        location: NA5
        name: mynet
    # Create an MCP 2.0 network
    - dimensiondata_network:
        region: na
        mcp_user: my_user
        mcp_password: my_password
        location: NA9
        name: mynet
        service_plan: ADVANCED
    # Delete a network
    - dimensiondata_network:
        region: na
        location: NA1
        name: mynet
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
network complex | On success when state=present. | Dictionary describing the network.
| description string |  | Network description. Sample: My network description
| id string |  | Network ID. Sample: 8c787000-a000-4050-a215-280893411a7d
| location string |  | Datacenter location. Sample: NA3
| multicast boolean |  | Multicast enabled? (MCP 1.0 only)
| name string |  | Network name. Sample: My network
| private_net string |  | Private network subnet. (MCP 1.0 only) Sample: 10.2.3.0
| status string |  | Network status. (MCP 2.0 only) Sample: NORMAL

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Aimon Bustardo (@aimonb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.